> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Dashboard Analytics

> Get dashboard analytics data.



## OpenAPI

````yaml /openapi-v1.json post /api/v1/analytics/dashboard
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/analytics/dashboard:
    post:
      tags:
        - Analytics
      summary: Get Dashboard Analytics
      description: Get dashboard analytics data.
      operationId: core_api_v1_controllers_analytics_get_dashboard_analytics
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DashboardIn'
        required: true
      responses:
        '200':
          description: OK
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    DashboardIn:
      description: Schema for requesting dashboard analytics.
      properties:
        report_type:
          default: last_7_days
          title: Report Type
          type: string
        start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Start Date
        end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: End Date
        user_type:
          anyOf:
            - type: string
            - type: 'null'
          title: User Type
        agent_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Name
        organization:
          anyOf:
            - type: string
            - type: 'null'
          title: Organization
        tab:
          anyOf:
            - type: string
            - type: 'null'
          title: Tab
      title: DashboardIn
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````